// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from naoqi_bridge_msgs:msg/HandTouch.idl
// generated code does not contain a copyright notice

#include "naoqi_bridge_msgs/msg/detail/hand_touch__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_naoqi_bridge_msgs
const rosidl_type_hash_t *
naoqi_bridge_msgs__msg__HandTouch__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x7b, 0x8b, 0x83, 0xb9, 0x92, 0x4f, 0x26, 0x84,
      0xca, 0x5d, 0x1b, 0xfa, 0x47, 0xed, 0x06, 0x0e,
      0xfb, 0xf2, 0xb4, 0x88, 0x69, 0x64, 0x0d, 0x02,
      0xc9, 0x35, 0x5f, 0x56, 0xfa, 0xab, 0x31, 0xb7,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char naoqi_bridge_msgs__msg__HandTouch__TYPE_NAME[] = "naoqi_bridge_msgs/msg/HandTouch";

// Define type names, field names, and default values
static char naoqi_bridge_msgs__msg__HandTouch__FIELD_NAME__hand[] = "hand";
static char naoqi_bridge_msgs__msg__HandTouch__FIELD_NAME__state[] = "state";

static rosidl_runtime_c__type_description__Field naoqi_bridge_msgs__msg__HandTouch__FIELDS[] = {
  {
    {naoqi_bridge_msgs__msg__HandTouch__FIELD_NAME__hand, 4, 4},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_UINT8,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {naoqi_bridge_msgs__msg__HandTouch__FIELD_NAME__state, 5, 5},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_UINT8,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
naoqi_bridge_msgs__msg__HandTouch__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {naoqi_bridge_msgs__msg__HandTouch__TYPE_NAME, 31, 31},
      {naoqi_bridge_msgs__msg__HandTouch__FIELDS, 2, 2},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# A message for Nao and Pepper's hand touch interface (touched tactile sensors on the hands)\n"
  "\n"
  "uint8 hand            # which hand (left or right)\n"
  "uint8 state           # state of the hands (pressed or released)\n"
  "\n"
  "uint8 RIGHT_BACK=0\n"
  "uint8 RIGHT_LEFT=1\n"
  "uint8 RIGHT_RIGHT=2\n"
  "uint8 LEFT_BACK=3\n"
  "uint8 LEFT_LEFT=4\n"
  "uint8 LEFT_RIGHT=5\n"
  "\n"
  "uint8 STATE_RELEASED=0\n"
  "uint8 STATE_PRESSED=1";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
naoqi_bridge_msgs__msg__HandTouch__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {naoqi_bridge_msgs__msg__HandTouch__TYPE_NAME, 31, 31},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 370, 370},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
naoqi_bridge_msgs__msg__HandTouch__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *naoqi_bridge_msgs__msg__HandTouch__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
